RewriteEngine On

# Rewrite /en/(.*) to /lang/en/$1
RewriteRule ^en/(.*)$ /lang/en/$1 [L]

# Rewrite /ru/(.*) to /lang/ru/$1
RewriteRule ^ru/(.*)$ /lang/ru/$1 [L]

# Rewrite /es/(.*) to /lang/es/$1
RewriteRule ^es/(.*)$ /lang/es/$1 [L]

# Rewrite / to /en/
RewriteRule ^/$ /en/ [L]

# Add MIME types for web fonts
AddType application/font-woff .woff
AddType application/font-woff2 .woff2
AddType application/x-font-ttf .ttf
AddType application/vnd.ms-fontobject .eot
AddType image/svg+xml .svg